--------------------------------------------------------
-- Blood Legion Raidcooldowns - Cooldowns --
--------------------------------------------------------
local BLRCD = BLRCD

BLRCD.cooldowns = {
	     -- Paladin
--	{ -- Test AI
--		spellID = 1459,
--		name = "AI",
--		succ = "SPELL_CAST_SUCCESS",
--		CD = 10,
--		class = "MAGE",
--		category = "AOE_HEAL",
--	},
-- { -- Test avec l'autre tocard
-- 	spellID = 48438,
-- 	name = "WGR",
-- 	succ = "SPELL_CAST_SUCCESS",
-- 	CD = 8,
-- 	class = "DRUID",
-- 	category = "AOE_HEAL",
-- },
	{ -- Devotion Aura
		spellID = 31821,
		name = "DA",
		succ = "SPELL_CAST_SUCCESS",
		CD = 180,
		class = "PALADIN",
		category = "AOE_HEAL",
	},
	{ -- Hand of Sacrifice
		spellID = 6940,
		name = "HOS",
		succ = "SPELL_CAST_SUCCESS",
		CD = 120,
		class = "PALADIN",
		category = "SINGLE_HEAL",
	},
	     -- Priest
	{ -- Power Word: Barrier 
		spellID = 62618,
		succ = "SPELL_CAST_SUCCESS",
		name = "PWB",
		CD = 180,
		class = "PRIEST", 
		cast_time = 10,
		spec = 256,
		category = "AOE_HEAL",
	},
	{ -- Pain Suppression  
		spellID = 33206,
		succ = "SPELL_CAST_SUCCESS",
		name = "PS",
		CD = 180,
		class = "PRIEST", 
		cast_time = 8,
		spec = 256,
		category = "SINGLE_HEAL",
	},
	{ -- Divine Hymn
	
		spellID = 64843,
		succ = "SPELL_CAST_SUCCESS",
		name = "DH",
		CD = 180,
		class = "PRIEST", 
		cast_time = 8,
		spec = 257,
		category = "AOE_HEAL",
	},	
	{ -- Guardian Spirit 
		spellID = 47788,
		succ = "SPELL_CAST_SUCCESS",
		name = "GS",
		CD = 180,
		class = "PRIEST", 
		cast_time = 10,
		spec = 257,
		category = "SINGLE_HEAL",
	},	
	{ -- Void Shift
		spellID = 108968,
		succ = "SPELL_CAST_SUCCESS",
		name = "VS",
		CD = 360,
		class = "PRIEST",
		category = "SINGLE_HEAL",
	},
	{ -- Hymn Of Hope
		spellID = 64901,
		succ = "SPELL_CAST_SUCCESS",
		name = "HH",
		CD = 360,
		class = "PRIEST", 
		cast_time = 8,	
		category = "MANA_REGEN",
	},
		
		 -- Druid
	{ -- Tranquility
		spellID = 740,
		succ = "SPELL_CAST_SUCCESS",
		name = "T",
		CD = 180,
		class = "DRUID",
		spec = 105,
		category = "AOE_HEAL",
	},
	{ -- Ironbark
		spellID = 102342,
		succ = "SPELL_CAST_SUCCESS",
		name = "FE",
		CD = 120,
		class = "DRUID",
		spec = 105,
		category = "SINGLE_HEAL",
	},
	{ -- Rebirth
		spellID = 20484,
		succ = "SPELL_CAST_START",
		name = "R",
		CD = 600,
		class = "DRUID",
		category = "REZ",
	},
	{ -- Innervate
		spellID = 29166,
		succ = "SPELL_CAST_SUCCESS",
		name = "I",
		CD = 180,
		class = "DRUID",
		category = "MANA_REGEN",
	},
	
		-- Shaman
	{ -- Spirit Link Totem
		spellID = 98008,
		succ = "SPELL_CAST_SUCCESS",
		name = "SLT",
		CD = 180,
		class = "SHAMAN", 
		cast_time = 6,
		spec = 264,
		category = "AOE_HEAL",
	},
	{ -- Mana Tide Totem
		spellID = 16190,
		succ = "SPELL_CAST_SUCCESS",
		name = "MTT",
		CD = 180,
		class = "SHAMAN",
		cast_time = 12,
		spec = 264,
		category = "MANA_REGEN",
	},
	{ -- Healing Tide Totem
		spellID = 108280,
		succ = "SPELL_CAST_SUCCESS",
		name = "HTT",
		CD = 180,
		class = "SHAMAN",
		talent = 5,
		category = "AOE_HEAL",
	},
	{ -- Stormlash Totem
		spellID = 120668,
		succ = "SPELL_CAST_SUCCESS",
		name = "ST",
		CD = 300,
		class = "SHAMAN",
		category = "AOE_DPS",
	},
	{ -- Fire Elemental Totem
		spellID = 2894,
		succ = "SPELL_CAST_SUCCESS",
		name = "FET",
		CD = 300,
		class = "SHAMAN",
		category = "AOE_DPS",
	},
	 
	 
		 -- Monk
	{	-- Zen Meditation
		spellID = 115176,
		succ = "SPELL_CAST_SUCCESS",
		name = "ZEN",
		CD = 180,
		class = "MONK",
		category = "SINGLE_HEAL",
	},
	{	-- Life Cocoon
		spellID = 116849,
		succ = "SPELL_CAST_SUCCESS",
		name = "LIFE",
		CD = 120,
		class = "MONK",
		spec = 270,
		category = "SINGLE_HEAL",
	},
	{	-- Revival
		spellID = 115310,
		succ = "SPELL_CAST_SUCCESS",
		name = "REV",
		CD = 180,
		class = "MONK",
		spec = 270,
		category = "AOE_HEAL",
	},
	
		 -- Warlock
	{ -- Soulstone Resurrection
		spellID = 20707,
		succ = "SPELL_CAST_START",
		name = "SR",
		CD = 900,
		class = "WARLOCK",
		category = "REZ",
	},
	
	     -- Death Knight
	{ -- Raise Ally
		spellID = 61999,
		succ = "SPELL_CAST_SUCCESS", 
		name = "RA",
		CD = 600,
		class = "DEATHKNIGHT",
		category = "REZ",
	},
	{ -- Anti-Magic Zone
		spellID = 51052,
		succ = "SPELL_CAST_SUCCESS",
		name = "AMZ",
		CD = 120,
		class = "DEATHKNIGHT",
		talent = 2,
		category = "AOE_HEAL",
	},
	
	     -- Warrior
	{ -- Rallying Cry
		spellID = 97462,
		succ = "SPELL_CAST_SUCCESS",
		name = "RC",
		CD = 180,
		class = "WARRIOR",
		category = "AOE_HEAL",
	},
	{ -- Demoralizing Banner
		spellID = 114203,
		succ = "SPELL_CAST_SUCCESS",
		name = "DB",
		CD = 180,
		class = "WARRIOR",
		category = "AOE_HEAL",
	},
	{ -- Shattering Throw
		spellID = 64382,
		succ = "SPELL_DAMAGE",
		name = "STH",
		CD = 300,
		class = "WARRIOR",
		category = "AOE_DPS",
	},
	{ -- Skull Banner
		spellID = 114207,
		succ = "SPELL_CAST_SUCCESS",
		name = "SB",
		CD = 180,
		class = "WARRIOR",
		category = "AOE_DPS",
	},
}
--------------------------------------------------------